/**
 * Copyright (c) 2023, WSO2 LLC. (https://www.wso2.com).
 *
 * WSO2 LLC. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
/**
 * Gets the legacy authz runtime flag from the deployment config.
 *
 * @returns `boolean` True if legacy authz runtime is enabled and false if not.
 */
const isLegacyAuthzRuntime = () => {
    var _a, _b;
    return (_b = (_a = window["AppUtils"]) === null || _a === void 0 ? void 0 : _a.getConfig()) === null || _b === void 0 ? void 0 : _b.legacyAuthzRuntime;
};

export { isLegacyAuthzRuntime as default };
